commit cea451c53287e51175c9bbe1a4fd607d1db7a02a
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Mar 22 21:11:25 2024 +0000

    Debug: more clarity on a ret=key lookup

diff --git a/src/src/search.c b/src/src/search.c
index 62416da76..27c686a5d 100644
--- a/src/src/search.c
+++ b/src/src/search.c
@@ -980,9 +980,15 @@ than the result.  Return a de-tainted version of the key on the grounds that
 it have been validated by the lookup. */
 
 if (yield && ret_key)
+  {
   yield = string_copy_taint(keystring, GET_UNTAINTED);
+  DEBUG(D_lookup)
+    debug_printf_indent("lookup yield replace by key: %s\n", yield);
+  }
 
 return yield;
 }
 
 /* End of search.c */
+/* vi: aw ai sw=2
+*/

